
Redmine - Defect #37251

openssl_verify_mode not honored/not working anymore

2022-06-15 23:03 - Bernhard Maehr

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 5.0.1

Description

Hello,

After the upgrade of Redmine to 5.0.1 (and upgrade of Ruby and Passenger) the setting openssl_verify_mode: 'NONE' is not working

anymore.

Tried also 'none' and 'OpenSSL::SSL::VERIFY_NONE'.

The solution from https://www.redmineup.com/pages/help/helpdesk/how-to-fix-issues-with-ssl-certificate (Error 1) solved the problem

for me.

Related issues:

Is duplicate of Redmine - Defect #37753: Cannot send mail through smtp due to... Closed

History

#1 - 2022-06-16 07:23 - Go MAEDA

Could you explain in detail which feature of Redmine is affected by openssl_verify_mode and what kind of problem you are experiencing?

#2 - 2022-06-16 16:38 - Holger Just

- Status changed from New to Needs feedback

#3 - 2022-06-16 23:14 - Bernhard Maehr

Documentition: https://www.redmine.org/projects/redmine/wiki/emailconfiguration#Troubleshooting

The error message when sending email is "unable to get local issuer certificate"

#4 - 2022-06-20 18:25 - Holger Just

Please show your entire configuration.yml file (leave out / replace any usernames or passwords, but strictly keep the whole structure as is). Also,

please show the full error you get, including its stack trace.

#5 - 2024-01-22 15:07 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

I think is the same issue reported in #37753 which was fixed in recent Redmine versions (5.1+). Please reopen if I'm wrong with the details requested

by Holger.

#6 - 2024-01-22 15:08 - Marius BĂLTEANU

- Is duplicate of Defect #37753: Cannot send mail through smtp due to TLS errors added
